Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Interface Panel

All Superinterfaces:
  Context, Disposable

All Known Subinterfaces:
  ChartPanel, Console, TextEditor, Window

All Known Implementing Classes:
  PanelDecorator, View, View3D

    public interface Panel

extends Context, Disposable

A `Workbench` presents its information in a set of `Panel`s. Panels are displayed within `Window`s, they have their own title and menu bar and may be re-arranged by Drag&Drop.

Author:
  Ole Kniemeyer

Field Summary
`static int` | `DEC_WAIT_CURSOR`
`static int` | `DEFAULT_CURSOR`
`static int` | `INC_WAIT_CURSOR`
`static int` | `INHERIT_CURSOR`
`static java.lang.String` | `PANEL_ID`
`static int` | `WAIT_CURSOR`

Method Summary
`void` | `checkClose(Command ok)`
`ComponentWrapper` | `getContent()`
`Panel` | `getDecorator()`
`UITree` | `getMenu()`
`java.lang.String` | `getPanelId()`
`java.util.Map` | `getUIPropertyMap()`
`void` | `initDecorator(Panel decorator)`
`Panel` | `resolve()`
`void` | `setContent(ComponentWrapper content)`
`void` | `setCursor(int cursor)`
`void` | `setMenu(UITree menu)`
`void` | `show(boolean moveToFront, Panel keepInFront)`

Methods inherited from interface de.grogra.pf.ui.Context
`getComponent, getPanel, getWindow, getWorkbench`

Methods inherited from interface de.grogra.util.Disposable
`dispose`

Field Detail

### DEC_WAIT_CURSOR

    static final int DEC_WAIT_CURSOR

See Also:
  Constant Field Values

### DEFAULT_CURSOR

    static final int DEFAULT_CURSOR

See Also:
  Constant Field Values

### INC_WAIT_CURSOR

    static final int INC_WAIT_CURSOR

See Also:
  Constant Field Values

### INHERIT_CURSOR

    static final int INHERIT_CURSOR

See Also:
  Constant Field Values

### PANEL_ID

    static final java.lang.String PANEL_ID

See Also:
  Constant Field Values

### WAIT_CURSOR

    static final int WAIT_CURSOR

See Also:
  Constant Field Values

Method Detail

### checkClose

    void checkClose(Command ok)

### getContent

    ComponentWrapper getContent()

### getDecorator

    Panel getDecorator()

### getMenu

    UITree getMenu()

### getPanelId

    java.lang.String getPanelId()

### getUIPropertyMap

    java.util.Map getUIPropertyMap()

### initDecorator

    void initDecorator(Panel decorator)

### resolve

    Panel resolve()

### setContent

    void setContent(ComponentWrapper content)

### setCursor

    void setCursor(int cursor)

### setMenu

    void setMenu(UITree menu)

### show

    void show(boolean moveToFront,
              Panel keepInFront)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD